BP Compatible themes & WPMU Plugins - BuddyPress Template Pack

Hey All...newbie here - first post. Actually newbie for WP also.
So...maybe I built my WP page backwards where we picked a theme first and then tried to add to it. The theme I picked is not BP compatible and was told to download the bp template pack to convert the theme to a BP theme. First off, is this true ?

Do I have to use a BP theme to use the WPMU plugins? Or, will my current theme with the buddypress template pack do it justice.

Any suggestions, directions etc. would be appreciated. Starting off seems very confusing.

Sincerely,
David